/*
 * $Id$
 */

package org.sonatype.nexus.repository.metadata.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * The member repostory metadata element.
 * 
 * @version $Revision$ $Date$
 */
public class RepositoryMemberMetadata implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * The repository 'id'.
     */
    private String id;

    /**
     * The repository 'name'.
     */
    private String name;

    /**
     * The repository 'policy'.
     */
    private String policy;

    /**
     * The repository 'canonical url'.
     */
    private String url;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get the repository 'id'.
     * 
     * @return String
     */
    public String getId()
    {
        return this.id;
    } //-- String getId() 

    /**
     * Get the repository 'name'.
     * 
     * @return String
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Get the repository 'policy'.
     * 
     * @return String
     */
    public String getPolicy()
    {
        return this.policy;
    } //-- String getPolicy() 

    /**
     * Get the repository 'canonical url'.
     * 
     * @return String
     */
    public String getUrl()
    {
        return this.url;
    } //-- String getUrl() 

    /**
     * Set the repository 'id'.
     * 
     * @param id
     */
    public void setId(String id)
    {
        this.id = id;
    } //-- void setId(String) 

    /**
     * Set the repository 'name'.
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set the repository 'policy'.
     * 
     * @param policy
     */
    public void setPolicy(String policy)
    {
        this.policy = policy;
    } //-- void setPolicy(String) 

    /**
     * Set the repository 'canonical url'.
     * 
     * @param url
     */
    public void setUrl(String url)
    {
        this.url = url;
    } //-- void setUrl(String) 


    private String modelEncoding = "UTF-8";

    /**
     * Set an encoding used for reading/writing the model.
     *
     * @param modelEncoding the encoding used when reading/writing the model.
     */
    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    /**
     * @return the current encoding used when reading/writing this model.
     */
    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
